Loading...
Searching...
No Matches
caf::detail::is_serializable_impl< T, false, false > Struct Template Reference

Checks whether T is builtin or provides a serialize (free or member) function. More...

`#include <type_traits.hpp>`

## Static Public Attributes

static constexpr bool | value

## Detailed Description

template<class T>
struct caf::detail::is_serializable_impl< T, false, false >

Checks whether T is builtin or provides a serialize (free or member) function.

## Member Data Documentation

## value

template<class T>

bool caf::detail::is_serializable_impl< T, false, false >::value

static constexpr

Initial value:
= has_serialize<T>::value
|| is_inspectable<serializer, T>::value
|| is_builtin<T>::value

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/detail/type_traits.hpp